<?php

declare(strict_types=1);

namespace App\Controller\TblNotificacionCMS;

use App\Service\TblNotificacionCMSService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblNotificacionCMSService(): TblNotificacionCMSService
    {
        return $this->container->get('TblNotificacionCMS_service');
    }
}
